<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@color/dk_transparent"
    android:orientation="vertical" >

    <include
        android:id="@+id/dk_layout_payment_header"
        layout="@layout/dk_payment_header" />

    <FrameLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_below="@+id/dk_layout_payment_header"
        android:background="@drawable/dk_bottom_dialog_new" >

        <FrameLayout
            android:id="@+id/dk_frame_layout_progress"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent" >

            <LinearLayout
                android:id="@+id/dk_layout_progress"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:orientation="horizontal" >

                <include
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    layout="@layout/dk_common_progress" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/dk_layout_net_error"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginBottom="18dp"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                android:visibility="gone" >

                <ImageView
                    android:id="@+id/dk_iv_network_error"
                    android:layout_width="64dp"
                    android:layout_height="64dp"
                    android:src="@drawable/dk_ic_network_info" />

                <TextView
                    android:id="@+id/dk_tv_network_error"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="18dp"
                    android:text="@string/dk_tip_payment_network_error"
                    android:textColor="@color/dk_color_333333"
                    android:textSize="@dimen/text_size_16_sp" />

                <Button
                    android:id="@+id/dk_btn_payment_retry"
                    android:layout_width="fill_parent"
                    android:layout_height="36dp"
                    android:layout_marginTop="18dp"
                    android:background="@drawable/dk_payment_btn_pay_selector"
                    android:gravity="center"
                    android:text="@string/dk_retry"
                    android:textColor="#ffffff"
                    android:textSize="@dimen/text_size_16_sp" />
            </LinearLayout>
        </FrameLayout>

        <LinearLayout
            android:id="@+id/dk_layout_all_content"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:orientation="vertical"
            android:visibility="gone" >

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:orientation="vertical" >

                <LinearLayout
                    android:id="@+id/dk_layout_user_account"
                    android:layout_width="fill_parent"
                    android:layout_height="36dp"
                    android:background="@color/dk_gamesdk_white"
                    android:orientation="horizontal" >

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="fill_parent"
                        android:layout_marginLeft="15dp"
                        android:gravity="center_vertical" >

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/dk_current_account"
                            android:textColor="@color/dk_color_666666"
                            android:textSize="@dimen/text_size_12_sp" />

                        <TextView
                            android:id="@+id/dk_tv_current_account"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@color/dk_color_666666"
                            android:textSize="@dimen/text_size_12_sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="fill_parent"
                        android:layout_marginLeft="12dp"
                        android:gravity="center_vertical"
                        android:visibility="gone" >

                        <TextView
                            android:id="@+id/dk_tv_balance_name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/dk_kubi_balance"
                            android:textColor="#333333"
                            android:textSize="@dimen/text_size_12_sp" />

                        <TextView
                            android:id="@+id/dk_tv_kubi_balance"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="#ff3300"
                            android:textSize="@dimen/text_size_12_sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/dk_layout_amount_activity"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/dk_gamesdk_white"
                    android:orientation="horizontal" >

                    <LinearLayout
                        android:id="@+id/dk_layout_current_account"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="0dp"
                        android:orientation="horizontal" >

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:visibility="gone" >

                            <ImageView
                                android:id="@+id/dk_image_view_scene"
                                android:layout_width="48dp"
                                android:layout_height="48dp"
                                android:layout_marginLeft="8dp"
                                android:background="@drawable/dk_border_ic_payment" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginLeft="15dp"
                            android:orientation="vertical" >

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal" >

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/dk_merchandise_name"
                                    android:textColor="@color/dk_color_666666"
                                    android:textSize="@dimen/text_size_12_sp" />

                                <TextView
                                    android:id="@+id/dk_tv_merchandise_name"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:textColor="@color/dk_color_666666"
                                    android:textSize="@dimen/text_size_12_sp" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginBottom="12dp"
                                android:layout_marginTop="15dp"
                                android:orientation="horizontal" >

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/dk_money_payable"
                                    android:textColor="@color/dk_message_button_color_normal"
                                    android:textSize="@dimen/text_size_16_sp" />

                                <TextView
                                    android:id="@+id/dk_tv_merchandise_money"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:textColor="@color/dk_message_button_color_normal"
                                    android:textSize="@dimen/text_size_16_sp" />
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="12dp"
                    android:background="@drawable/dk_payment_bottom_dialog_bg"
                    android:orientation="horizontal"
                    android:visibility="gone" >
                </LinearLayout>
                
                <ImageView
                    android:id="@+id/dk_image_view_divider"
                    android:layout_width="fill_parent"
                    android:layout_height="1px"
                    android:background="@color/dk_color_eeeeee"
                    android:visibility="visible" />

                <ScrollView
                    android:id="@+id/dk_scroll_view_mode"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:fadeScrollbars="false"
                    android:fillViewport="true"
                    android:scrollbarSize="4dp"
                    android:scrollbarThumbVertical="@drawable/dk_scrollbar_gray"
                    android:scrollbars="none" >

                    <LinearLayout
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical" >

                        <LinearLayout
                            android:id="@+id/dk_layout_payment_mode"
                            android:layout_width="fill_parent"
                            android:layout_height="0dp"
                            android:layout_marginTop="8dp"
                            android:layout_weight="1"
                            android:orientation="vertical" >
                        </LinearLayout>

                        <RelativeLayout
                            android:id="@+id/dk_relative_layout_bottom_logo"
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginBottom="15dp"
                            android:gravity="center_horizontal|bottom" 
                            android:visibility="invisible">

                            <include
                                layout="@layout/dk_payment_bottom" />
                        </RelativeLayout>
                    </LinearLayout>
                </ScrollView>
            </LinearLayout>
        </LinearLayout>
    </FrameLayout>

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="8dp"
         android:visibility="gone"
        android:layout_below="@+id/dk_layout_payment_header"
        android:background="@drawable/dk_shadow_file" >
    </LinearLayout>

</RelativeLayout>